Questions

How to install .Net Framework on Win Server 2003 SP1

+
0 Votes
Locked

How to install .Net Framework on Win Server 2003 SP1

zafartcs
when i tried to install Visual Studio 2005 in Window server 2003 sp1, the following error info arose ----

The following component failed to install:
Microsoft .NET Framework 2.0
The following component was not attempted:
Microsoft Visual Studio 2005 Professional Edition - ENU
[02/10/07,00:07:35] Microsoft .NET Framework 2.0: [2] Error code 4121 for this component means "A prerequisite for this
component is missing."
[02/10/07,00:07:35] Microsoft .NET Framework 2.0: [2] Setup Failed on component Microsoft .NET Framework 2.0
[02/10/07,00:07:36] setup.exe: [2] ISetupComponent::Pre/Post/Install() failed in ISetupManager::InstallManagerHelper() with
HRESULT -2147023293.
[02/10/07,00:07:36] setup.exe: [2] Component error string not specified in ISetupManager::AddToActionResultCollection()
[02/10/07,00:07:36] VS70pgui: [2] DepCheck indicates Microsoft .NET Framework 2.0 is not installed.
[02/10/07,00:07:36] VS70pgui: [2] Unknown component status forMSXML 6.0 Parser
[02/10/07,00:07:36] VS70pgui: [2] Unknown component status forMicrosoft Document Explorer 2005
[02/10/07,00:07:36] VS70pgui: [2] DepCheck indicates Microsoft Visual Studio 2005 Team Suite - ENU was not attempted to be
installed.
[02/10/07,00:07:36] VS70pgui: [2] Unknown component status for.NET Compact Framework 1.0 SP3
[02/10/07,00:07:36] VS70pgui: [2] Unknown component status for.NET Compact Framework 2.0
[02/10/07,00:07:36] VS70pgui: [2] Unknown component status forMicrosoft Visual Studio 2005 Tools for Office Runtime
[02/10/07,00:07:36] VS70pgui: [2] Unknown component status forMicrosoft Visual J# 2.0 Redistributable Package
[02/10/07,00:07:36] VS70pgui: [2] Unknown component status forSQL Server 2005 Mobile Edition
[02/10/07,00:07:36] VS70pgui: [2] Unknown component status forMicrosoft Device Emulator version 1.0
[02/10/07,00:07:36] VS70pgui: [2] Unknown component status forMicrosoft SQL Server 2005 Express Edition x86
[02/20/07,22:27:40] Microsoft .NET Framework 2.0: [2] Error code 4121 for this component means "A prerequisite for this
component is missing."
[02/20/07,22:27:40] Microsoft .NET Framework 2.0: [2] Setup Failed on component Microsoft .NET Framework 2.0
[02/20/07,22:27:40] setup.exe: [2] ISetupComponent::Pre/Post/Install() failed in ISetupManager::InstallManagerHelper() with
HRESULT -2147023293.
[02/20/07,22:27:40] setup.exe: [2] Component error string not specified in ISetupManager::AddToActionResultCollection()
[02/20/07,22:27:41] VS70pgui: [2] DepCheck indicates Microsoft .NET Framework 2.0 is not installed.
[02/20/07,22:27:41] VS70pgui: [2] Unknown component status forMSXML 6.0 Parser
[02/20/07,22:27:41] VS70pgui: [2] Unknown component status forMicrosoft Document Explorer 2005
[02/20/07,22:27:41] VS70pgui: [2] DepCheck indicates Microsoft Visual Studio 2005 Professional Edition - ENU was not
attempted to be installed.
[02/20/07,22:27:41] VS70pgui: [2] Unknown component status for.NET Compact Framework 1.0 SP3
[02/20/07,22:27:41] VS70pgui: [2] Unknown component status for.NET Compact Framework 2.0
[02/20/07,22:27:41] VS70pgui: [2] Unknown component status forMicrosoft Visual J# 2.0 Redistributable Package
[02/20/07,22:27:41] VS70pgui: [2] Unknown component status forSQL Server 2005 Mobile Edition
[02/20/07,22:27:41] VS70pgui: [2] Unknown component status forMicrosoft Device Emulator version 1.0
[02/20/07,22:27:41] VS70pgui: [2] Unknown component status forMicrosoft SQL Server 2005 Express Edition x86

so i downloaded dotnetfw.exe then want to install it. But i always got an error
Error: Prerequisite programs are missing
Setup has detected that the following prerequisite programs are not installed:
Microsoft Windows Installer 3.0
You must first install these programs before Microsoft .Net Framework 2.0 can be installed

however, when i try to install MS Installer 3.1, unfortunately i got another error
KB893803v2 Setup Error

Setup has detected that the Service Pack version of this system is newer than the update you are applying.there is no need to install this upadte.

Confusing! who can help me?